package com.logicbig.example;

import static com.logicbig.example.RegexUtil.test;

public class RegexBackRefExamples {

    public static void main(String[] args) {

        test("([A-Za-z])[0-9]\\1", "a9a");
        test("[A-Za-z][0-9][A-Za-z]", "a9b");
        test("([A-Za-z])[0-9]\\1", "a9b");
        test("\\1[0-9]([A-Za-z])", "a9a");
        test("(\\w)\\1+", "GOVERNESSSHIP  YAYYY EGG HOSTESSHIP");
        test("([a-z]+)\\1", "happiness www banana");
        test("([a-z])+\\1", "happiness www banana");
        test("([a-z])+?\\1", "happiness www banana");
        test("(?<myGroup>[A-Za-z])[0-9]\\k<myGroup>", "a9a c0c d68");
        test("(?<myGroup>[A-Za-z])[0-9]\\1", "a9a c0c d68");
        test("(?<CHAR>(\\w){2,2})[\\S]*\\k<CHAR>", "Cimicic galagala buffalo buffalo");
    }
}